path: /build/build/stunnel-net-misc-5.72.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-selinux -stunnel3 ssl tcpd" emerge net-misc/stunnel -pv -t && \
    USE="-selinux -stunnel3 ssl tcpd" emerge -j ${JOBS} --nodeps net-misc/stunnel
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/stunnel && luet-portage --dir /pkgdir/stunnel
    net-misc/stunnel && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:59e54e5a679422aa0a3611d2ae6dc8b512d20dae1e0b650c4babcefd0391b5d0
  package:
    name: stunnel
    version: "5.72"
    category: net-misc
    use_flags:
    - -selinux
    - -stunnel3
    - ssl
    - tcpd
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: TLS/SSL - Port Wrapper
    uri:
    - http://www.stunnel.org/index.html
    license: GPL-2
    buildtimestamp: 2024-04-19 13:02:05.355798782 +0000 UTC m=+153.488777822
    labels:
      BDEPEND: sys-devel/autoconf-archive test? ( || ( dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 dev-lang/python:3.10 ) || ( ( dev-lang/python:3.8 dev-python/cryptography[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/cryptography[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/cryptography[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ( dev-lang/python:3.10 dev-python/cryptography[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ) ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 ssl? ( dev-libs/openssl:0
        )
      DEPEND: dev-libs/openssl:= tcpd? ( sys-apps/tcp-wrappers ) sys-apps/shadow
      IUSE: selinux stunnel3 tcpd test ssl
      RDEPEND: dev-libs/openssl:= tcpd? ( sys-apps/tcp-wrappers ) selinux? ( sec-policy/selinux-stunnel
        ) stunnel3? ( dev-lang/perl ) virtual/tmpfiles
      emerge.packages: net-misc/stunnel
      kit: net-kit
      original.package.name: net-misc/stunnel
      original.package.slot: "0"
      original.package.version: "5.72"
    treedir: /build/packages
  package_dir: /pkgdir/stunnel
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 34fa067f76868e47b5f0869b41c89e84c610141770f6038ee859d28501245fd0
compressiontype: zstd
files:
- etc/env.d/20stunnel
- etc/init.d/stunnel
- etc/stunnel/stunnel.conf
- usr/bin/stunnel
- usr/lib/tmpfiles.d/stunnel.conf
- usr/lib64/stunnel/libstunnel.so
- usr/share/doc/stunnel-5.72/AUTHORS.md
- usr/share/doc/stunnel-5.72/BUGS.md
- usr/share/doc/stunnel-5.72/CREDITS.md.bz2
- usr/share/doc/stunnel-5.72/PORTS.md.bz2
- usr/share/doc/stunnel-5.72/README.md.bz2
- usr/share/doc/stunnel-5.72/TODO.md.bz2
- usr/share/doc/stunnel-5.72/html/VNC_StunnelHOWTO.html
- usr/share/doc/stunnel-5.72/html/ca.html
- usr/share/doc/stunnel-5.72/html/importCA.html
- usr/share/doc/stunnel-5.72/html/stunnel.html
- usr/share/man/man8/stunnel.8.bz2
- var/db/pkg/net-misc/stunnel-5.72/BDEPEND
- var/db/pkg/net-misc/stunnel-5.72/BUILD_TIME
- var/db/pkg/net-misc/stunnel-5.72/CATEGORY
- var/db/pkg/net-misc/stunnel-5.72/CBUILD
- var/db/pkg/net-misc/stunnel-5.72/CFLAGS
- var/db/pkg/net-misc/stunnel-5.72/CHOST
- var/db/pkg/net-misc/stunnel-5.72/CONTENTS
- var/db/pkg/net-misc/stunnel-5.72/COUNTER
- var/db/pkg/net-misc/stunnel-5.72/CXXFLAGS
- var/db/pkg/net-misc/stunnel-5.72/DEFINED_PHASES
- var/db/pkg/net-misc/stunnel-5.72/DEPEND
- var/db/pkg/net-misc/stunnel-5.72/DESCRIPTION
- var/db/pkg/net-misc/stunnel-5.72/EAPI
- var/db/pkg/net-misc/stunnel-5.72/FEATURES
- var/db/pkg/net-misc/stunnel-5.72/HOMEPAGE
- var/db/pkg/net-misc/stunnel-5.72/INHERITED
- var/db/pkg/net-misc/stunnel-5.72/IUSE
- var/db/pkg/net-misc/stunnel-5.72/IUSE_EFFECTIVE
- var/db/pkg/net-misc/stunnel-5.72/KEYWORDS
- var/db/pkg/net-misc/stunnel-5.72/LDFLAGS
- var/db/pkg/net-misc/stunnel-5.72/LICENSE
- var/db/pkg/net-misc/stunnel-5.72/NEEDED
- var/db/pkg/net-misc/stunnel-5.72/PF
- var/db/pkg/net-misc/stunnel-5.72/PROVIDES
- var/db/pkg/net-misc/stunnel-5.72/RDEPEND
- var/db/pkg/net-misc/stunnel-5.72/REQUIRES
- var/db/pkg/net-misc/stunnel-5.72/RESTRICT
- var/db/pkg/net-misc/stunnel-5.72/SIZE
- var/db/pkg/net-misc/stunnel-5.72/SLOT
- var/db/pkg/net-misc/stunnel-5.72/USE
- var/db/pkg/net-misc/stunnel-5.72/environment.bz2
- var/db/pkg/net-misc/stunnel-5.72/repository
- var/db/pkg/net-misc/stunnel-5.72/stunnel-5.72.ebuild
package_cacheimage: ""
runtime:
  name: stunnel
  version: "5.72"
  category: net-misc
  use_flags:
  - -selinux
  - -stunnel3
  - ssl
  - tcpd
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: tcp-wrappers
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: TLS/SSL - Port Wrapper
  uri:
  - http://www.stunnel.org/index.html
  license: GPL-2
  labels:
    BDEPEND: sys-devel/autoconf-archive test? ( || ( dev-lang/python:3.8 dev-lang/python:3.9
      dev-lang/python:3.7 dev-lang/python:3.10 ) || ( ( dev-lang/python:3.8 dev-python/cryptography[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/cryptography[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/cryptography[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ( dev-lang/python:3.10 dev-python/cryptography[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ) ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 ssl? ( dev-libs/openssl:0
      )
    DEPEND: dev-libs/openssl:= tcpd? ( sys-apps/tcp-wrappers ) sys-apps/shadow
    IUSE: selinux stunnel3 tcpd test ssl
    RDEPEND: dev-libs/openssl:= tcpd? ( sys-apps/tcp-wrappers ) selinux? ( sec-policy/selinux-stunnel
      ) stunnel3? ( dev-lang/perl ) virtual/tmpfiles
    emerge.packages: net-misc/stunnel
    kit: net-kit
    original.package.name: net-misc/stunnel
    original.package.slot: "0"
    original.package.version: "5.72"
